<div id="tag-modal" class="modal fade" style="display: none;" role="dialog" data-user-account-game-id="0">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" title="Cancel">&times;</button>
                <h4>Tag: <span></span></h4>
                <form>
                    <input class="new-tag" type="text" placeholder="Add a new Tag...">
                    <input type="submit" value="Add">
                </form>
            </div>
            <div class="modal-body">
                <div class="tag-list">
                    {% for group, tag_list in group_tag_list %}
                        {% if group %}
                            <div class="group">
                                <strong>{{ group|default('', True) }}:</strong>

                                {% for tag in tag_list %}
                                    <div class="field"><label {% if group %}class="grouped"{% endif %}>
                                        <input 
                                            class="tag"
                                            type="checkbox"
                                            data-tag-name="{{ tag.qualified_name }}"
                                            data-tag-group="{{ tag.group|default('', True) }}"
                                        >{{ tag.name }}</label></div>
                                {% endfor %}
                            </div>
                            {{ loop.cycle('', '<div class="clear"></div>')|safe }}
                            {% if loop.last %}<div class="clear"></div>{% endif %}
                        {% else %}
                            <div class="clear"></div>
                            {% for tag in tag_list %}
                                <div class="field"><label {% if group %}class="grouped"{% endif %}>
                                    <input 
                                        class="tag"
                                        type="checkbox"
                                        data-tag-name="{{ tag.qualified_name }}"
                                        data-tag-group="{{ tag.group|default('', True) }}"
                                    >{{ tag.name }}</label></div>
                            {% endfor %}
                        {% endif %}
                    {% endfor %}
                </div>
            </div>
            <div class="modal-footer">
                <a class="manage-tags" href="/profile/settings/#tag-settings" title="Manage your set of Tags.">Manage Tags</a>
                <button type="button" class="primary">Save Tags</button>
                <button type="button" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>
